--Events
local event = CreateFrame('Frame')
event:SetScript('OnEvent', function(self, event, ...) self[event](self, ...) end)
--Register events
event:RegisterEvent('PLAYER_REGEN_ENABLED')
event:RegisterEvent('PLAYER_REGEN_DISABLED')
--Handle events
function event:PLAYER_REGEN_ENABLED()
    fade(1)
end
function event:PLAYER_REGEN_DISABLED()
   fade(0)
end
local frames = {ChatFrame1, GeneralDockManager, ChatFrameMenuButton, FriendsMicroButton}
--Fade
function fade(mode)
	for _, frame in pairs(frames) do
		if mode == 1 then
			UIFrameFadeIn(frame, 1, 0, 1)
		else
			UIFrameFadeOut(frame, 1, 1, 0)
		end
	end

end
